关注VPS服务器
相关知识分享

WordPress 提示”存在不一致的文件权限”的解决办法

有时候我们升级 wordpress 博客版本或者升级插件的时候,会提示:更新失败:因为我们不能复制一些文件,升级未被安装。这通常是因为存在不一致的文件权限。这一般是因为 wordpress 权限不够导致的。

其实 wordpress 升级、更新的时候遇到类似提示,差不多都是权限不够导致的,这类问题挺普遍的。

相关阅读:

WordPress 后台编辑主题无“更新文件”按钮的解决办法

linux 如何修改文件夹所属用户名和用户组

解决 WordPress 插件更新“需要访问您网页服务器权限”的问题

比如本文遇到的情况,就是更新插件的时候,提示文件权限不一致。

用 ps aux|grep nginx 查得 nginx 是以 www 运行的。而通过 ps aux|grep php 查得 php 也是以 www 用户运行。

这时候检查 plugin 目录 simple URLs 的所有者和所有组都是 root,当然是写不进去文件了。

解决办法是使用 chown 命令修改权限。具体命令是

chown –R www.www /home/wwwroot/网站目录名/wp-content/plugins

修改后再次检查权限情况都变成了 www。最后再去升级插件,提示“已更新”。

允许转载,保留出处:魏艾斯博客 » WordPress 提示”存在不一致的文件权限”的解决办法
分享到: 更多 (0)

评论 抢沙发

  • 昵称 (必填)
  • 邮箱 (必填)
  • 网址